#!/usr/bin/perl
#-----------------------------------------------------------------------
# exsite-help.cgi
#-----------------------------------------------------------------------

use strict;
use ExSite::Config;

&exsite_init;

my $fnf = 0;
my $helpurl;

if ($config{help_url}) {
    if (! -e "$config{server}{HTMLroot}$config{help_url}") {
	$fnf = 1;
    }
}
else {
    $fnf = 1;
}

if ($fnf) {
    &page_header("ExSite Help");
    print "<h1 class=error>Documentation Not Found</h1>\n";
    print "<p class=error>The ExSite Help Documentation has not been installed 
on this website.  Please talk to your site administrator, or consult the 
ExSite Installation Guide for help.</p>\n";
    &page_footer;
}
else {
    $| = 1;
    print "Content-type: text/html\n\n";
    print "<html><head><meta http-equiv=\"REFRESH\" CONTENT=\"1; URL='$config{help_url}'\"></head>\n";
    print "<body>\n<p>Redirecting you to <a href=$config{help_url}>help files</a>...</p>\n</body>\n</html>\n";
}

### END

