#!/usr/bin/perl
#-----------------------------------------------------------------------
# content.cgi - retrieve content from the database for viewing
#-----------------------------------------------------------------------

use strict;
use ExSite::Config;
use ExSite::DB;
use ExSite::ContentData;
use ExSite::Misc;

use vars qw($db %q);

&exsite_init;
$db = new ExSite::DB;
my %q = &DecodeQuery;

if ($q{id}) {
    # authorization logic needed!!!
    my $c = new ExSite::ContentData(id=>$q{id});
    my $type = $c->content_type;
    print "Content-type: text/html\n\n";
    print "<HEAD>\n<TITLE>View Content</TITLE>\n";
    print "<link REL=\"stylesheet\" TYPE=\"text/css\" HREF=\"$config{server}->{CSSpath}/$config{server}->{CSSfile}\">\n";
    print "</HEAD>\n<BODY>\n";
    print "<table class=framed bgcolor=#FFFFFF><tr><td>\n";
    if ($type =~ /text\/html/) {
	print $c->expand;  # show oysters
    }
    else {
	print $c->get_html;
    }
    print "</td></tr></table>\n";
}
else {
    print "Content-type: text/plain\n\nNo content object specified.\n";
}

print "<P>References to unresolved content items are displayed as a checkered 
graphic;  these items will appear only when this content is viewed as part
of a page.</P>\n";
print "<P ALIGN=center><A HREF=javascript:window.close()>Close Window</A></P>\n";
print "</html>\n</body>\n";
